(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     98186,       2793]
NotebookOptionsPosition[     95929,       2709]
NotebookOutlinePosition[     96446,       2731]
CellTagsIndexPosition[     96360,       2726]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["General Relativity, Einstein & All That (GREAT)", "Section"],

Cell["First, load the package", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "GREAT.m"}]], "Input",
 CellChangeTimes->{{3.483095713703125*^9, 3.483095713828125*^9}, {
  3.5205948415682173`*^9, 3.520594844129364*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"GREAT functions are: IMetric, Christoffel,\\n  Riemann, \
Ricci, SCurvature, EinsteinTensor, SqRicci, SqRiemann.\"\>"], "Print",
 CellChangeTimes->{3.520594844661394*^9}],

Cell[BoxData["\<\"Enter 'helpGREAT' for this list of functions\"\>"], "Print",
 CellChangeTimes->{3.520594844671395*^9}]
}, Open  ]]
}, Open  ]],

Cell["Brief on-line help is available for all functions:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "IMetric"}]], "Input"],

Cell[BoxData[
 StyleBox["\<\"IMetric[g], with g an n.n-matrix (two lower indices),\\n  \
returns the inverse metric (two upper indices).\"\>", "MSG"]], "Print", \
"PrintUsage",
 CellChangeTimes->{3.514010725546875*^9},
 CellTags->"Info3514039525-7144350"]
}, Open  ]],

Cell[CellGroupData[{

Cell["A sample calculation", "Subsection"],

Cell[TextData[{
 "First define the coordinate ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]]],
 "-vector:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "=", 
  RowBox[{"{", " ", 
   RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.483183743*^9, 3.483183752921875*^9}, {
  3.514010402734375*^9, 3.514010403140625*^9}, {3.520594903609766*^9, 
  3.5205949693305244`*^9}, {3.520596048913274*^9, 3.520596063974135*^9}, {
  3.520596403787571*^9, 3.5205964743356066`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]], "Output",
 CellChangeTimes->{
  3.48318384415625*^9, 3.483183877203125*^9, 3.48318390890625*^9, 
   3.514010350921875*^9, 3.514010384828125*^9, 3.514010515015625*^9, 
   3.51401072584375*^9, {3.5205949363856406`*^9, 3.5205949699175587`*^9}, 
   3.5205960669053025`*^9, 3.5205964048076296`*^9, 3.520596439069589*^9, 
   3.5205964761727114`*^9}]
}, Open  ]],

Cell[TextData[{
 "and then specify the metric as a square ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "\[Times]", "n"}], TraditionalForm]]],
 " matrix:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"met", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "2"], 
         RowBox[{"1", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", " ", "[", "t", "]"}], ")"}], 
           SuperscriptBox["r", "2"]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "2"], 
         SuperscriptBox["r", "2"]}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"a", "[", "t", "]"}], "2"], 
         SuperscriptBox["r", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}], ")"}], "2"]}]}], "}"}]}], 
     "}"}]}], ")"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.483183763859375*^9, 3.48318385909375*^9}, {
   3.483183893171875*^9, 3.483183896125*^9}, {3.514010409859375*^9, 
   3.514010503203125*^9}, {3.514010717546875*^9, 3.514010722203125*^9}, {
   3.514196633765625*^9, 3.51419663659375*^9}, {3.520596327411203*^9, 
   3.5205963434281187`*^9}, {3.5205964921636257`*^9, 3.5205966565180264`*^9}, 
   3.5205968048495107`*^9, {3.5205971212366066`*^9, 3.5205971327512655`*^9}, {
   3.5206060415508194`*^9, 3.5206060420398474`*^9}, {3.520606119741292*^9, 
   3.5206061282987814`*^9}, {3.5206061884342213`*^9, 3.520606195328615*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], 
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}]], "0", "0"},
     {"0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]}], "0"},
     {"0", "0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.520596492808663*^9, 3.5205965236404266`*^9}, {
   3.5205965838538704`*^9, 3.520596611423447*^9}, 3.520596663122404*^9, 
   3.520596806830624*^9, 3.5205971345023656`*^9, 3.5206060538495235`*^9, 
   3.5206061294928493`*^9, 3.5206062031640635`*^9}]
}, Open  ]],

Cell[TextData[{
 "\"",
 StyleBox["IMetric", "Input"],
 "\" is the only 1-argument function:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"IMetric", "[", "met", "]"}], "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", 
      FractionBox[
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], 
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"]], "0", "0"},
     {"0", "0", 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "2"]}]], "0"},
     {"0", "0", "0", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"Csc", "[", "\[Theta]", "]"}], "2"], 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "2"]}]]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.5206062135846596`*^9, 3.520606227987483*^9}}]
}, Open  ]],

Cell["\<\
All other \"functions\" take two arguments, the metric matrix and then the \
coordinate vector:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Christoffel", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", "-", 
              RowBox[{"2", " ", 
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["k", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
        RowBox[{"2", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"k", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}]}], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"k", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}]}], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"k", "[", "t", "]"}]}]}]], ",", 
       FractionBox[
        RowBox[{"r", " ", 
         RowBox[{"k", "[", "t", "]"}]}], 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"k", "[", "t", "]"}]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "r"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", 
       FractionBox["1", "r"], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", "r"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"Cot", "[", "\[Theta]", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
        RowBox[{"a", "[", "t", "]"}]], ",", 
       FractionBox["1", "r"], ",", 
       RowBox[{"Cot", "[", "\[Theta]", "]"}], ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.48318384471875*^9, 3.483183877625*^9, 
  3.483183909171875*^9, 3.51401035128125*^9, 3.514010385171875*^9, 
  3.5140105165625*^9, 3.51401072725*^9, 3.5205948570321016`*^9, 
  3.5205966822144966`*^9, 3.520596813850025*^9, 3.52059714890819*^9, 
  3.5206060657462034`*^9, 3.5206061380453386`*^9, 3.5206062310846605`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Riemann", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{
                   SuperscriptBox["r", "2"], " ", 
                   RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"3", " ", 
                  SuperscriptBox["r", "4"], " ", 
                  SuperscriptBox[
                   RowBox[{
                    SuperscriptBox["k", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
                  RowBox[{
                   SuperscriptBox["k", "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
             ")"}]}], 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "3"]}]]}], ",", "0", 
         ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", 
                 SuperscriptBox["r", "4"], " ", 
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["k", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{
                    SuperscriptBox["r", "2"], " ", 
                    RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
                 RowBox[{
                  SuperscriptBox["k", "\[Prime]\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "3"]}]], ",", "0", 
         ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "3"], " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["r", "2"]}], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "3"], " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{"2", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "3"], " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["r", "2"]}], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "3"], " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "t", "]"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{"2", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["k", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", " ", 
               SuperscriptBox["r", "4"], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["k", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
              RowBox[{"2", " ", 
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
          RowBox[{"4", " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], ",", "0", 
         ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["k", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "+", 
           RowBox[{
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "3"}], " ", 
               SuperscriptBox["r", "4"], " ", 
               SuperscriptBox[
                RowBox[{
                 SuperscriptBox["k", "\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
          RowBox[{"4", " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], ",", "0", 
         ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          SuperscriptBox["r", "3"], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"k", "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}]}], 
               ")"}]}], "-", 
             RowBox[{
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["a", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"a", "[", "t", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["k", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], " ", 
          SuperscriptBox["r", "3"], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", 
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
             RowBox[{
              RowBox[{"k", "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{"2", "-", 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}]}], 
               ")"}]}], "+", 
             RowBox[{
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["a", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"a", "[", "t", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["k", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          SuperscriptBox["r", "3"], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"k", "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}]}], 
               ")"}]}], "-", 
             RowBox[{
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["a", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"a", "[", "t", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["k", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], " ", 
          SuperscriptBox["r", "3"], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", 
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
             RowBox[{
              RowBox[{"k", "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{"2", "-", 
                RowBox[{"2", " ", 
                 SuperscriptBox["r", "2"], " ", 
                 SuperscriptBox[
                  RowBox[{
                   SuperscriptBox["a", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}], "2"]}]}], 
               ")"}]}], "+", 
             RowBox[{
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 RowBox[{
                  SuperscriptBox["a", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"a", "[", "t", "]"}], " ", 
                 RowBox[{
                  SuperscriptBox["k", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], 
          RowBox[{"a", "[", "t", "]"}]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], 
           RowBox[{"a", "[", "t", "]"}]]}], ",", 
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{"2", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{
          FractionBox[
           RowBox[{"k", "[", "t", "]"}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"2", "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]]}], ",", 
         "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{"2", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", 
         RowBox[{
          FractionBox[
           RowBox[{"k", "[", "t", "]"}], 
           RowBox[{"1", "-", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}]], "+", 
          FractionBox[
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"2", "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]]}], ",", "0", 
         ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"k", "[", "t", "]"}], "+", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["r", "2"]}], " ", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"k", "[", "t", "]"}], "+", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
         ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], 
          RowBox[{"a", "[", "t", "]"}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], 
           RowBox[{"a", "[", "t", "]"}]]}], ",", 
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{"2", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{
          FractionBox[
           RowBox[{"k", "[", "t", "]"}], 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"2", "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]]}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"r", " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], 
          RowBox[{"2", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}]], ",", 
         RowBox[{
          FractionBox[
           RowBox[{"k", "[", "t", "]"}], 
           RowBox[{"1", "-", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}]], "+", 
          FractionBox[
           RowBox[{
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"2", "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["r", "2"], " ", 
                  RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"a", "[", "t", "]"}], " ", 
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
           RowBox[{"2", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]]}], ",", "0", 
         ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["r", "2"]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"k", "[", "t", "]"}], "+", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"k", "[", "t", "]"}], "+", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], 
         ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.48318390925*^9, 3.5140103514375*^9, 3.51401038534375*^9, 
  3.51401051696875*^9, 3.51401072778125*^9, 3.5205966924470816`*^9, 
  3.520596816541179*^9, 3.520597153661462*^9, 3.520606070128454*^9, 
  3.520606141502537*^9, 3.5206062339378233`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Ricci", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["k", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "-", 
       RowBox[{"12", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "+", 
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "3"}], " ", 
           SuperscriptBox["r", "4"], " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["k", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
      RowBox[{"4", " ", 
       RowBox[{"a", "[", "t", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], ",", 
     FractionBox[
      RowBox[{"r", " ", 
       RowBox[{
        SuperscriptBox["k", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"r", " ", 
       RowBox[{
        SuperscriptBox["k", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]], ",", 
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"k", "[", "t", "]"}]}], 
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}]], "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", "-", 
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "+", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", 
              SuperscriptBox["r", "4"], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
         ")"}]}], 
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "3"]}]]}], ",", "0", ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["r", "2"], " ", 
          SuperscriptBox[
           RowBox[{"k", "[", "t", "]"}], "2"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"k", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"], " ", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"a", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
        ")"}]}], 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["r", "2"], " ", 
          SuperscriptBox[
           RowBox[{"k", "[", "t", "]"}], "2"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"k", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"], " ", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"a", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
        ")"}]}], 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.483183909359375*^9, 3.5140103516875*^9, 
  3.514010385546875*^9, 3.51401051725*^9, 3.51401072803125*^9, 
  3.5205966979023933`*^9, 3.520596822593526*^9, 3.5205971637870407`*^9, 
  3.520606076629826*^9, 3.5206061441946907`*^9, 3.520606236731983*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SCurvature", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"a", "[", "t", "]"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"12", " ", 
     SuperscriptBox["r", "4"], " ", 
     SuperscriptBox[
      RowBox[{"k", "[", "t", "]"}], "3"]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["a", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["r", "2"], " ", 
     RowBox[{"a", "[", "t", "]"}], " ", 
     RowBox[{
      SuperscriptBox["a", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], " ", 
     RowBox[{
      SuperscriptBox["k", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["r", "2"], " ", 
     SuperscriptBox[
      RowBox[{"k", "[", "t", "]"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["a", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "t", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["r", "4"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["k", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
       RowBox[{"12", " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["k", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"k", "[", "t", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "6"}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["a", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["r", "4"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["k", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["r", "4"], " ", 
        SuperscriptBox[
         RowBox[{"a", "[", "t", "]"}], "2"], " ", 
        RowBox[{
         SuperscriptBox["k", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.4831839095625*^9, 3.51401035178125*^9, 
  3.51401038565625*^9, 3.51401051746875*^9, 3.5140107283125*^9, 
  3.520596700964569*^9, 3.5205968266257563`*^9, 3.5205971678302717`*^9, 
  3.520606079779006*^9, 3.520606147200863*^9, 3.520606239730155*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EinsteinTensor", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"k", "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}], 
       "-", 
       RowBox[{
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "+", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"a", "[", "t", "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"k", "[", "t", "]"}]}]}], ")"}]}]], ",", 
     FractionBox[
      RowBox[{"r", " ", 
       RowBox[{
        SuperscriptBox["k", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"r", " ", 
       RowBox[{
        SuperscriptBox["k", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], 
      RowBox[{"1", "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]], ",", 
     FractionBox[
      RowBox[{
       RowBox[{"k", "[", "t", "]"}], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["a", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       RowBox[{"2", " ", 
        RowBox[{"a", "[", "t", "]"}], " ", 
        RowBox[{
         SuperscriptBox["a", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]}], 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["r", "4"], " ", 
           SuperscriptBox[
            RowBox[{"k", "[", "t", "]"}], "3"]}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
          RowBox[{"6", " ", 
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"k", "[", "t", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", 
              SuperscriptBox["r", "4"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"8", " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
          RowBox[{"2", " ", 
           RowBox[{"k", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"3", " ", 
              SuperscriptBox["r", "4"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{"8", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{
              SuperscriptBox["r", "4"], " ", 
              SuperscriptBox[
               RowBox[{"a", "[", "t", "]"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
         ")"}]}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]}]], 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["r", "4"], " ", 
           SuperscriptBox[
            RowBox[{"k", "[", "t", "]"}], "3"]}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["a", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
          RowBox[{"6", " ", 
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["a", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}], " ", 
           RowBox[{
            SuperscriptBox["k", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox["r", "2"], " ", 
           SuperscriptBox[
            RowBox[{"k", "[", "t", "]"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"a", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", 
              SuperscriptBox["r", "4"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["k", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"8", " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], "-", 
          RowBox[{"2", " ", 
           RowBox[{"k", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["r", "2"], " ", 
              SuperscriptBox[
               RowBox[{
                SuperscriptBox["a", "\[Prime]",
                 MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
             RowBox[{"3", " ", 
              SuperscriptBox["r", "4"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{"8", " ", 
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"a", "[", "t", "]"}], " ", 
              RowBox[{
               SuperscriptBox["a", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}], "+", 
             RowBox[{
              SuperscriptBox["r", "4"], " ", 
              SuperscriptBox[
               RowBox[{"a", "[", "t", "]"}], "2"], " ", 
              RowBox[{
               SuperscriptBox["k", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
         ")"}]}]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5205971710084534`*^9, 3.52060608229315*^9, 
  3.520606149570998*^9, 3.5206062420112853`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqRicci", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"a", "[", "t", "]"}], "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "4"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"32", " ", 
     SuperscriptBox["r", "2"], " ", 
     SuperscriptBox[
      RowBox[{"a", "[", "t", "]"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "3"], " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["k", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", 
         SuperscriptBox["r", "2"], " ", 
         SuperscriptBox[
          RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{
          SuperscriptBox["a", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], " ", 
         RowBox[{
          SuperscriptBox["k", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{
          SuperscriptBox["a", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"k", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"a", "[", "t", "]"}], " ", 
            RowBox[{
             SuperscriptBox["a", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], ")"}],
       "2"]}], "+", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"a", "[", "t", "]"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
         RowBox[{
          SuperscriptBox["a", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], " ", 
         RowBox[{
          SuperscriptBox["k", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "-", 
        RowBox[{"12", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
         RowBox[{
          SuperscriptBox["a", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            SuperscriptBox["r", "4"], " ", 
            SuperscriptBox[
             RowBox[{
              SuperscriptBox["k", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["r", "2"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               SuperscriptBox["r", "2"], " ", 
               RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
            RowBox[{
             SuperscriptBox["k", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], ")"}],
       "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "6"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"2", " ", 
          RowBox[{"k", "[", "t", "]"}]}], 
         RowBox[{"1", "-", 
          RowBox[{
           SuperscriptBox["r", "2"], " ", 
           RowBox[{"k", "[", "t", "]"}]}]}]], "+", 
        FractionBox[
         RowBox[{
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "-", 
               RowBox[{"2", " ", 
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"a", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["k", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]], "-", 
        FractionBox[
         RowBox[{
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["k", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{
                 SuperscriptBox["r", "2"], " ", 
                 RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{"a", "[", "t", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                SuperscriptBox["r", "4"], " ", 
                SuperscriptBox[
                 RowBox[{
                  SuperscriptBox["k", "\[Prime]",
                   MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
               RowBox[{"2", " ", 
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{
                   SuperscriptBox["r", "2"], " ", 
                   RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
                RowBox[{
                 SuperscriptBox["k", "\[Prime]\[Prime]",
                  MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
           ")"}]}], 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "3"]}]]}], ")"}], 
      "2"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.483183909796875*^9, 3.514010352046875*^9, 3.514010385953125*^9, 
   3.514010518046875*^9, 3.514010729015625*^9, 3.520596709470055*^9, 
   3.5205969596843667`*^9, {3.520597184270212*^9, 3.52059718545428*^9}, 
   3.52060608788647*^9, 3.5206061531992054`*^9, 3.5206062448234463`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SqRiemann", "[", 
  RowBox[{"met", ",", "x"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"16", " ", 
    SuperscriptBox[
     RowBox[{"a", "[", "t", "]"}], "4"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"64", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "[", "t", "]"}], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["a", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}], "2"]}], 
    "+", 
    FractionBox[
     RowBox[{"64", " ", 
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["k", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{"k", "[", "t", "]"}]}]}]], "+", 
    FractionBox[
     RowBox[{"32", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["r", "2"], " ", 
          SuperscriptBox[
           RowBox[{"k", "[", "t", "]"}], "2"]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"k", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["a", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}], 
         "-", 
         RowBox[{
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{
              SuperscriptBox["a", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"a", "[", "t", "]"}], " ", 
             RowBox[{
              SuperscriptBox["k", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
        ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"]], "+", 
    RowBox[{"128", " ", 
     SuperscriptBox[
      RowBox[{"a", "[", "t", "]"}], "2"], " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["a", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SuperscriptBox["r", "4"], " ", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["k", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["k", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
        ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "4"]], "+", 
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"a", "[", "t", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["r", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], " ", 
          RowBox[{
           SuperscriptBox["k", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{
              SuperscriptBox["r", "2"], " ", 
              RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "2"], " ", 
          RowBox[{
           SuperscriptBox["a", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"a", "[", "t", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "3"}], " ", 
             SuperscriptBox["r", "4"], " ", 
             SuperscriptBox[
              RowBox[{
               SuperscriptBox["k", "\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["r", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{
                SuperscriptBox["r", "2"], " ", 
                RowBox[{"k", "[", "t", "]"}]}]}], ")"}], " ", 
             RowBox[{
              SuperscriptBox["k", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
        ")"}], "2"]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{"k", "[", "t", "]"}]}]}], ")"}], "4"]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.483183909921875*^9, 3.514010352125*^9, 
  3.514010386046875*^9, 3.5140105185*^9, 3.514010729296875*^9, 
  3.5205967135472884`*^9, 3.520596963192567*^9, 3.520597190120547*^9, 
  3.5206060902756066`*^9, 3.5206061556833477`*^9, 3.5206062476926107`*^9}]
}, Open  ]],

Cell[TextData[{
 "The above \"functions\" do perform a ",
 StyleBox["Simplify[]", "Input"],
 " on the result, but you may want to further manipulate the expression into \
something that may be more \nusable, depending on the particular application.\
\nNote: Einstein Equations employed here is ",
 Cell[BoxData[
  FormBox["R", TraditionalForm]]],
 "ab--gab*R=8GTab ,  where misses a  minus sign,  and the Ricci tensor is \
defined  a little different from the one uesed in the Textbook, there is one \
more minus sign in fron t of the definition. So in the end the result remains \
the same."
}], "Text",
 CellChangeTimes->{{3.483184329671875*^9, 3.483184616875*^9}, {
  3.48318465728125*^9, 3.483184745859375*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1202, 705},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3514039525-7144350"->{
  Cell[1375, 51, 255, 5, 64, "Print",
   CellTags->"Info3514039525-7144350"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3514039525-7144350", 96258, 2720}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 66, 0, 71, "Section"],
Cell[636, 24, 39, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[700, 28, 168, 3, 31, "Input"],
Cell[CellGroupData[{
Cell[893, 35, 188, 2, 43, "Print"],
Cell[1084, 39, 120, 1, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1231, 44, 66, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[1322, 48, 50, 1, 31, "Input"],
Cell[1375, 51, 255, 5, 64, "Print",
 CellTags->"Info3514039525-7144350"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1667, 61, 42, 0, 36, "Subsection"],
Cell[1712, 63, 122, 5, 29, "Text"],
Cell[CellGroupData[{
Cell[1859, 72, 390, 7, 31, "Input"],
Cell[2252, 81, 439, 8, 30, "Output"]
}, Open  ]],
Cell[2706, 92, 165, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[2896, 102, 1720, 42, 54, "Input"],
Cell[4619, 146, 1480, 41, 109, "Output"]
}, Open  ]],
Cell[6114, 190, 104, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[6243, 198, 95, 2, 31, "Input"],
Cell[6341, 202, 1328, 40, 133, "Output"]
}, Open  ]],
Cell[7684, 245, 119, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[7828, 252, 89, 2, 31, "Input"],
Cell[7920, 256, 6913, 194, 184, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14870, 455, 85, 2, 31, "Input"],
Cell[14958, 459, 37671, 1014, 741, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52666, 1478, 83, 2, 31, "Input"],
Cell[52752, 1482, 10413, 293, 201, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63202, 1780, 88, 2, 31, "Input"],
Cell[63293, 1784, 3863, 110, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67193, 1899, 92, 2, 31, "Input"],
Cell[67288, 1903, 11481, 306, 197, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78806, 2214, 85, 2, 31, "Input"],
Cell[78894, 2218, 8873, 250, 224, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[87804, 2473, 87, 2, 31, "Input"],
Cell[87894, 2477, 7277, 211, 162, "Output"]
}, Open  ]],
Cell[95186, 2691, 715, 14, 84, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
